/**********************************

	Cel2Shape by Rebecca Ann Heineman (Mac/IIgs/3DO/IBM)

	This will convert a 3DO .Cel file into my generic 3DO cel engine record

**********************************/

#ifndef __CEL2SHP_H__
#define __CEL2SHP_H__

#ifndef __BURGER__
#include <burger.h>
#endif

struct CCB {
	Word32 ccb_Flags;
	Word32 /* CCB * */ ccb_NextPtr;
	Word32 /* char * */ ccb_SourcePtr;
	Word32 /* void * */ ccb_PLUTPtr;

	Int32 ccb_XPos;
	Int32 ccb_YPos;
	Int32 ccb_HDX;
	Int32 ccb_HDY;
	Int32 ccb_VDX;
	Int32 ccb_VDY;
	Int32 ccb_HDDX;
	Int32 ccb_HDDY;
	Word32 ccb_PIXC;
	Word32 ccb_PRE0;
	Word32 ccb_PRE1;
	Int32 ccb_Width;			// Width of shape in pixels
	Int32 ccb_Height;			// Height of shape in pixels
};

extern int BURGER_ANSIAPI main(int argc,const char **argv);

#endif
